<div class="process_modal">
  <div class="process_modal_cross_container">
    <div class="process_modal_cross" (click)="closeModal()">
      <i class="fas fa-times"></i>
    </div>
  </div>
  <div class="process_header_container">
    <h6>Process dialog</h6>
  </div>
  <div class="row order_main_info">
    <div class="col-sm-3 general_info_container">
      <div class="general_info_name">
        <h6>General info</h6>
      </div>
      <mat-form-field class="example-full-width" appearance="fill">
        <mat-label>Address</mat-label>
        <input matInput placeholder="Address" [value]="order.address" disabled>
      </mat-form-field>
      <mat-form-field class="example-full-width" appearance="fill">
        <mat-label>Full name</mat-label>
        <input matInput placeholder="Full name" [value]="order.fullName" disabled>
      </mat-form-field>
      <mat-form-field class="example-full-width" appearance="fill">
        <mat-label>Phone</mat-label>
        <input matInput placeholder="Phone" [value]="order.phoneNumber" disabled>
      </mat-form-field>
      <mat-form-field class="example-full-width" appearance="fill">
        <mat-label>Email</mat-label>
        <input matInput placeholder="Email" [value]="order.emailAddress" disabled>
      </mat-form-field>
    </div>
    <div class="col-sm-3 general_info_container_second">
      <mat-form-field class="example-full-width" appearance="fill">
        <mat-label>Town</mat-label>
        <input matInput placeholder="Town" [value]="order.town" disabled>
      </mat-form-field>
      <mat-form-field class="example-full-width" appearance="fill">
        <mat-label>Postal code</mat-label>
        <input matInput placeholder="Postal code" [value]="order.postCode" disabled>
      </mat-form-field>
      <mat-form-field class="example-full-width" appearance="fill">
        <mat-label>Country</mat-label>
        <input matInput placeholder="Country" [value]="order.country" disabled>
      </mat-form-field>
    </div>
    <div class="col-sm-3 shipping_info_container">
      <div class="shipping_info_name">
        <h6>Shipping</h6>
      </div>
      <mat-form-field class="example-full-width" appearance="fill">
        <mat-label>Shipping method</mat-label>
        <input matInput placeholder="Shipping method" [value]="order.shippingMethod" disabled>
      </mat-form-field>
      <mat-form-field class="example-full-width" appearance="fill">
        <mat-label>Packaging</mat-label>
        <input matInput placeholder="Packaging" [value]="order.packaging" disabled>
      </mat-form-field>
      <mat-form-field class="example-full-width" appearance="fill">
        <mat-label>Package type</mat-label>
        <input matInput placeholder="Package type" [value]="order.packageType" disabled>
      </mat-form-field>
    </div>
    <div class="col-sm-3 second_shipping_info_container">
      <div class="second_shipping_info_name"></div>
      <mat-form-field class="example-full-width" appearance="fill">
        <mat-label>Tracking number</mat-label>
        <input matInput placeholder="Tracking number" [value]="order.trackingNumber" disabled>
      </mat-form-field>
      <mat-form-field class="example-full-width" appearance="fill">
        <mat-label>Items Weight</mat-label>
        <input matInput placeholder="Items Weight" [value]="order.itemWeight" disabled>
      </mat-form-field>
      <mat-form-field class="example-full-width" appearance="fill">
        <mat-label>Total Weight</mat-label>
        <input matInput placeholder="Total Weight" [value]="order.totalWeight" disabled>
      </mat-form-field>
    </div>
  </div>
  <div class="order_items_table">
    <app-order-items-table [items]="order.items"></app-order-items-table>
  </div>
  <div class="totals_infos_container">
    <div>
      <div>
        <mat-form-field class="example-full-width" appearance="fill">
          <mat-label>Shipping (ex.tax)</mat-label>
          <input matInput placeholder="hipping (ex.tax)" [value]="order.postageCostExTax" disabled>
        </mat-form-field>
      </div>
      <div>
        <mat-form-field class="example-full-width" appearance="fill">
          <mat-label>Tax</mat-label>
          <input matInput placeholder="Items Weight" [value]="order.tax" disabled>
        </mat-form-field>
      </div>
      <div>
        <mat-form-field class="example-full-width" appearance="fill">
          <mat-label>Total</mat-label>
          <input matInput placeholder="Total" [value]="order.total + ' ' + order.currency" disabled>
        </mat-form-field>
      </div>
    </div>
  </div>
  <div class="order_actions">
    <div class="action_button">
      <button type="button" class="btn btn-outline-secondary btn-sm" (click)="printShippingLabel()">Print Shipping Label</button>
    </div>
    <div class="action_button">
      <button type="button" class="btn btn-outline-primary btn-sm" (click)="printInvoice()">Print Invoice</button>
    </div>
    <div class="action_button">
      <button type="button" class="btn btn-outline-success btn-sm" (click)="processOrder()">Process</button>
    </div>
  </div>
</div>
